UDBP(4)

NAME
udbp - USB Double Bulk Pipe driver

SYNOPSIS
To compile this driver into the kernel, place the following line in your kernel configuration file:

device udbp

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    udbp_load="YES"

DESCRIPTION
The udbp driver provides support for host-to-host cables that contain at least two bulk pipes (one for each direction), for example the EzLink cable and the NetChip 1080 chip.

It requires netgraph(4) to be available. This can be done either by adding options NETGRAPH to your kernel configuration file, or alternatively loading netgraph(4) as a module, either from /boot/loader.conf or from the command line, before the udbp module.

EXAMPLES
    options NETGRAPH
    device udbp

Add the udbp driver to the kernel.

    kldload netgraph
    kldload udbp

Load the netgraph(4) module and then the udbp driver.

    ngctl mkpeer udbp0: iface data inet
    ifconfig ng0 10.0.0.1 10.0.0.2

Create a new network interface node and connect its inet hook to the data hook of the udbp node. ifconfig(8) configures the resulting network interface ng0 with a local IP address of 10.0.0.1 and a remote IP address of 10.0.0.2. On the remote host, the two IP addresses should of course be reversed.

SEE ALSO
netgraph(4), ng_iface(4), ohci(4), uhci(4), usb(4), ngctl(8)

HISTORY
The udbp driver first appeared in FreeBSD 5.0.

AUTHORS
-nosplit The udbp driver was written by Doug Ambrisko <ambrisko@whistle.com>, Julian Elischer <julian@FreeBSD.org> and Nick Hibma <n_hibma@FreeBSD.org>.

This manual page was written by Nick Hibma <n_hibma@FreeBSD.org>.